{% extends 'base.html' %}
{% load static %}

{% block content %}
<link rel="stylesheet" type="text/css" href="{% static 'myapp/css/register.css' %}">
<div class="register-container">
  <h2 class="registerTitle">Register</h2>
  <form class="registerForm" method="post" action="{% url 'register' %}">
    {% csrf_token %}
    
    {{ form.first_name.label_tag }}
    {{ form.first_name }}
    
    {{ form.last_name.label_tag }}
    {{ form.last_name }}
    
    {{ form.email.label_tag }}
    {{ form.email }}
    
    {{ form.username.label_tag }}
    {{ form.username }}
    
    {{ form.password1.label_tag }}
    {{ form.password1 }}
    
    {{ form.password2.label_tag }}
    {{ form.password2 }}
    
    <div>
      {{ form.role }}
    </div>
    
    <button class="submitBtn" type="submit">Register</button>
  </form>
  <div class="line">[or]</div>
  <p class="loginBtn">Already have an account? <a class="loginLink" href="{% url 'login' %}">Login</a></p>
</div>
{% endblock %}
